Public Class ChangeMaterialWndV

   Private WithEvents m_ChangeMaterialWndVM As ChangeMaterialWndVM

   Sub New(Owner As Window, ChangeMaterialWndVM As ChangeMaterialWndVM)
      MyBase.New(Owner)
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = ChangeMaterialWndVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_ChangeMaterialWndVM = ChangeMaterialWndVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_ChangeMaterialWndVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
